| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_csio_info Struct Reference

CSIO information. More...

## Data Fields
uint8_t * | pu8TxData
uint32_t | u8TxSize
uint8_t * | pu8RxData
uint32_t | u8RxSize
uint32_t | u32Cnt
boolean_t | bTxFinish
boolean_t | bRxFinish
boolean_t | bRwSyncFlag

## Detailed Description

CSIO information.

Definition at line 91 of file csio_int_s25fl127s.c.

## Field Documentation

boolean_t bRwSyncFlag

Definition at line 100 of file csio_int_s25fl127s.c.

Referenced by CsioMasterRxIntCallback(), and CsioMasterTxIntCallback().

boolean_t bRxFinish

Definition at line 99 of file csio_int_s25fl127s.c.

Referenced by CsioMasterRxIntCallback(), CsioRxData(), and CsioRxReg().

boolean_t bTxFinish

Definition at line 98 of file csio_int_s25fl127s.c.

Referenced by CsioMasterTxIntCallback(), CsioRxData(), CsioRxReg(), CsioTxCmd(), CsioTxCmdAddr(), and CsioTxData().

uint8_t* pu8RxData

Definition at line 95 of file csio_int_s25fl127s.c.

Referenced by CsioMasterRxIntCallback(), CsioRxData(), and CsioRxReg().

uint8_t* pu8TxData

Definition at line 93 of file csio_int_s25fl127s.c.

Referenced by CsioMasterTxIntCallback(), CsioRxData(), CsioRxReg(), CsioTxCmd(), CsioTxCmdAddr(), and CsioTxData().

uint32_t u32Cnt

Definition at line 97 of file csio_int_s25fl127s.c.

Referenced by CsioMasterRxIntCallback(), CsioMasterTxIntCallback(), CsioRxData(), CsioRxReg(), CsioTxCmd(), CsioTxCmdAddr(), and CsioTxData().

uint32_t u8RxSize

Definition at line 96 of file csio_int_s25fl127s.c.

Referenced by CsioMasterRxIntCallback(), CsioRxData(), and CsioRxReg().

uint32_t u8TxSize

Definition at line 94 of file csio_int_s25fl127s.c.

Referenced by CsioMasterTxIntCallback(), CsioRxData(), CsioRxReg(), CsioTxCmd(), CsioTxCmdAddr(), and CsioTxData().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/utility/s25fl127s/csio_int_s25fl127s.c